%define module  Crypt-DES_EDE3

Name:		 perl-%{module}
Summary:	 Triple-DES EDE encryption/decryption
Version:	 0.01
Release:	 %mkrel 7
License:	 Artistic
Group:		 Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Crypt/%{module}-%{version}.tar.gz
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc MANIFEST README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-7mdv2008.1
+ Revision: 137161
- use CPAN sources
  spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2008.1
+ Revision: 136929
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-5mdv2007.0
+ Revision: 73460
- Fix Build
- import perl-Crypt-DES_EDE3-0.01-4mdk

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-4mdk
- rebuild

